from fastapi import FastAPI
from pathlib import Path
from core.router import load_endpoints

app = FastAPI(title="API Starter Template")

# Load all endpoints
app.include_router(load_endpoints(Path("endpoints")))

@app.get("/")
def root():
    return {
        "message": "FastAPI App Running",
        "endpoints": {
            "health": "/health (GET)",
            "login": "/login (POST)",
            "signup": "/signup (POST)"
        }
    }
